1. Antoine Pitrou
  2. pathlib
Issue #26 resolved

Set syntax is not supported in Python2.6.

sirex
created an issue

Here is exception:

  File "/home/sirex/.buildout/eggs/pathlib-1.0-py2.6.egg/pathlib.py", line 145
    {'CON', 'PRN', 'AUX', 'NUL'} |
          ^
SyntaxError: invalid syntax

Comments (3)

  1. Antoine Pitrou repo owner

    As mentioned in the doc, I don't intend to support 2.6 (only 2.7). I would also be surprised if that's the only issue you have on 2.6 (have you tried running the test suite?).

  2. sirex reporter

    I created this issue because of this note in pypi.python.org:

    However, if you find an issue specific to prior versions of Python (such as 2.7 or 3.2), you can post an issue on the BitBucket project page.

    I did not tried to run pathlib tests, but all tests pass in my project. So at least for my project, these fixes are fully enough, to make pathlib work on 2.6.

  3. Log in to comment